import './App.css';

import { useState } from 'react';

import exploratoriumLogo from './assets/exploratorium.svg';

function App() {
  const [count, setCount] = useState(0);

  return (
    <div className="root">
      <div>
        <a href="https://www.exploratorium.edu" target="_blank">
          <img
            src={exploratoriumLogo}
            className="logo exploratorium"
            alt={Drupal.t('Exploratorium logo')}
          />
        </a>
      </div>
      <h1>{Drupal.t('Vite + React')}</h1>
      <div className="card">
        <button className="btn" onClick={() => setCount((count) => count + 1)}>
          {Drupal.formatPlural(count, 'count is one', 'count is @count', {
            '@count': count,
          })}
        </button>
        <p
          dangerouslySetInnerHTML={{
            __html: Drupal.t(
              'Edit <code>src/App.jsx</code> and save to test HMR',
            ),
          }}
        />
      </div>
      <p
        className="read-the-docs"
        dangerouslySetInnerHTML={{
          __html: Drupal.t(
            'Learn more about <a href="https://vitejs.dev" target="_blank">Vite</a> and <a href="https://react.dev" target="_blank">React</a>',
          ),
        }}
      />
    </div>
  );
}

export default App;
